Name: libovmapi
Version: 3.4
Release: 1%{?dist}
Summary: Oracle VM VMAPI and JSON libraries
License: LGPL
Group: Development/Libraries
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Oracle VM VMAPI library.

%package devel
Summary: Libraries, includes, etc. to compile with libovmapi and libovmjson libraries
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries, includes, etc. to compile with libovmapi and libovmjson libraries.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%{_includedir}

%changelog
* Mon Jun 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-1 
- Initial build.
